* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

:root {
    --length: min(0.9vw, 0.55vh);
    --radius: min(1.8vw, 1.1vh);
}

body {
    height: 100vh;
    width: 100%;
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: top left;
    overflow: hidden;

    font-family: sans-serif;
    font-weight: 400;
    font-style: normal;
    font-weight: normal;
    display: flex;
    align-items: center;
    color: rgb(38, 38, 38);
}

html {
    max-height: 100vh;
    overflow: hidden;
}

.result {
    position: absolute;
    top: 0px;
    left: 0;
    right: 0;
    width: 100%;
    margin: 0 auto;
    text-align: center;
    padding: 0;
    display: block;
    padding: 50px;
    z-index: 3;
    background-color: #fff;
    color: #a51a3b;
    font-weight: normal;
    transition: all 250ms ease-out;
    transform: scale(0);
    opacity: 0;
    pointer-events: none;
    font-size: 24px;
    bottom: 0;
    inset: 20px;
    width: auto;
    height: auto;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    max-width: 400px !important;
    margin: auto;
}

.result {
}

.result span {
    font-size: 12px;
    text-transform: capitalize;
    display: inline-block;
    margin-top: 5px;
    color: #000;
}

.result img {
    height: 15vh;
}

.result.show {
    transform: scale(1);
    opacity: 1;
    pointer-events: initial;
    display: block;
}

.result .replay {
    color: rgba(0, 0, 0, 0.7);
    text-decoration: none;
    width: 150px;
    height: 45px;
    display: flex;
    margin-top: 40px;
    margin-left: auto;
    margin-right: auto;
    align-items: center;
    justify-content: center;
    border: 1px solid rgba(0, 0, 0, 0.4);
    border-radius: 2px;
    text-align: center;
}

.result .replay:before {
    content: '';
    display: inline-block;
    height: 25px;
    width: 25px;
    margin-right: 5px;
    background-size: contain;
    background-image: url(rejouer.svg);
    opacity: 0.4
}

.container {
    margin-left: auto;
    margin-right: auto;
    width: 375px;
    height: 146px;
    position: absolute;
}

.slot-machine {
    height: 287px;
    width: 100%;
    position: absolute;
    margin: auto;
    left: 0;
}

.slot-machine-top {
    grid-area: top;
    position: relative;
    height: 97.5%;
    background: #1a004d;
    border-radius: var(--radius);
}

.slot-machine-top .bulb-container {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.slot-machine-top .top-bulb {
    left: 5%;
    width: 90%;
    top: 0.5%;
}

.slot-machine-top .bottom-bulb {
    left: 5%;
    width: 90%;
    bottom: 0.5%;
}

.slot-machine-top .left-bulb {
    flex-direction: column;
    width: 5%;
    height: 100%;
    left: 0.5%;
}

.slot-machine-top .right-bulb {
    flex-direction: column;
    width: 5%;
    height: 100%;
    right: 0.5%;
}

.slot-machine-top .bulb {
    font-size: calc(2.5 * var(--length));
    color: #fbbb32;
    text-shadow: calc(-0.2 * var(--length)) calc(-0.2 * var(--length)) calc(1 * var(--length)) #fff, calc(0.2 * var(--length)) calc(0.2 * var(--length)) calc(1 * var(--length)) #fff, 0 0 calc(0.5 * var(--length)) #fbbb32, 0 0 calc(1 * var(--length)) #fbbb32, 0 0 calc(1.5 * var(--length)) #fbbb32, 0 0 calc(2 * var(--length)) #fbbb32, 0 0 calc(2.5 * var(--length)) #fbbb32;
}

.slot-machine-top .machine-title {
    position: absolute;
    width: calc(70 * var(--length));
    height: calc(17.5 * var(--length));
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-family: "Press Start 2P", system-ui;
    display: grid;
    place-content: center;
    color: #fff;
    font-size: calc(7.5 * var(--length));
    font-weight: bolder;
    letter-spacing: calc(1.5 * var(--length));
    border-radius: inherit;
    background: #222;
    background: #000;
}

.slot-machine-top .jackpot {
}

@keyframes jackpot-animation {
    0% {
        text-shadow: 0 0 0px #fff,
        0 0 5px #fff,
        0 0 7px #d3342e,
        0 0 10px #d3342e,
        0 0 15px #d3342e,
        0 0 17px #d3342e,
        0 0 20px #d3342e,
        0 0 24px #d3342e;
    }
    50% {
        text-shadow: 0 0 5px #fff,
        0 0 10px #fff,
        0 0 15px #d3342e,
        0 0 20px #d3342e,
        0 0 25px #d3342e,
        0 0 30px #d3342e,
        0 0 35px #d3342e,
        0 0 40px #d3342e;
        color: yellow;
    }
}

.slot-machine-top .jackpot {
    animation: jackpot-animation 1.2s infinite alternate;
    text-shadow: 0 0 5px #fff,
    0 0 10px #fff,
    0 0 15px #d3342e,
    0 0 20px #d3342e,
    0 0 25px #d3342e,
    0 0 30px #d3342e,
    0 0 35px #d3342e,
    0 0 40px #d3342e;
}


{
    grid-area: middle
;
    position: relative
;
    display: flex
;
    align-items: center
;
    justify-content: center
;
    padding: 0
;
    border-radius: var(--radius)
;
    background: #1a004d
;
    height: 196px
;
    margin: 0
;
    width: 280px
;
}
.spinner-frame {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 80%;
    background: #fbbb32;
    border-radius: var(--radius);
    display: none;
}

.spinner-frame::after {
    content: "";
    position: absolute;
    height: 77.5%;
    width: 82.5%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: inherit;
    background: #1a004d;
}

.spinner-shape {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 85%;
    height: 60%;
    background: conic-gradient(#737373 58.5deg, #8c8c8c 58.5deg 121.5deg, #737373 121.5deg 238.5deg, #8c8c8c 238.5deg 301.5deg, #737373 301.5deg);
    border-radius: var(--radius);
    display: none;
}

.spinner-shape::before {
    content: "";
    position: absolute;
    height: 90%;
    width: 90%;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background: #1a004d;
}

.spinners-container {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    height: 105px;
    width: 100%;
    overflow: hidden;
    z-index: 20;
    width: 240px;
    margin-left: 54px;
    margin-top: 15px;
    /* border: 4px solid red; */
    border-radius: 29px;
}

.spinners-container .overlay {
    position: absolute;
    height: 100%;
    width: 30%;
    height: 138px;
    /* border: 2px solid #6c3106; */
    border-radius: 20px;
    overflow: hidden;
    background: linear-gradient(rgb(0 0 0), rgba(255, 255, 255, 0.15) 33%, rgba(255, 255, 255, 0.15) 66%, rgb(0 0 0));
    /* display: none; */
    opacity: 0.6;
    /* display: none; */
    display: none;
}

.spinners-container .spinner-container {
    width: 33%;
    height: 100%;
    height: 155px;
    display: grid;
    place-content: center;
    /* background: whitesmoke; */
    border-radius: 16px;
}

.spinners-container .spinner-container .spinner {
    position: relative;
    width: 100%;
    height: inherit;
    transform-style: preserve-3d;
    transform-origin: 50% 50% calc(-30 * var(--length));
    pointer-events: none;
}

.spinners-container .spinner-container .spinner .symbol {
    position: absolute;
    backface-visibility: hidden;
    height: 100%;
    width: 100%;
    font-size: calc(10 * var(--length));
    display: grid;
    place-content: center;
    transform-origin: 50% 50% calc(-30 * var(--length));
    padding: 0;
}

.spinners-container .spinner-container .spinner > div:nth-child(1) {
    transform: rotateX(30deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(2) {
    transform: rotateX(60deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(3) {
    transform: rotateX(90deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(4) {
    transform: rotateX(120deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(5) {
    transform: rotateX(150deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(6) {
    transform: rotateX(180deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(7) {
    transform: rotateX(210deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(8) {
    transform: rotateX(240deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(9) {
    transform: rotateX(270deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(10) {
    transform: rotateX(300deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(11) {
    transform: rotateX(330deg);
}

.spinners-container .spinner-container .spinner > div:nth-child(12) {
    transform: rotateX(360deg);
}

.spinners-container .spinner-container .spinner {
    width: 83px;
}

.spinners-container .spinner-container .spinner-1 {
    transform: rotateX(var(--rot-spin));
    transition: transform var(--rot-speed) linear;
    width: 73px;
    margin-left: 4px;
    /* background: mediumvioletred; */
}

.spinners-container .spinner-container .spinner-2 {
    transform: rotateX(var(--rot-spin));
    transition: transform var(--rot-speed) linear;
}

.spinners-container .spinner-container .spinner-3 {
    transform: rotateX(var(--rot-spin));
    transition: transform var(--rot-speed) linear;
    margin-right: 6px;
    width: 77px;
}

.spinners-container .spinner-container::after {
    content: "";
    position: absolute;
}

.glass-effect {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    height: 50%;
    width: 60%;
    border-radius: inherit;
    background: rgba(172, 206, 199, 0.15);
    backdrop-filter: blur(0.3px);
    -webkit-backdrop-filter: blur(0.3px);
}

.slot-machine-bottom {
    grid-area: bottom;
    position: relative;
}

.slot-machine-bottom .button-container {
    position: relative;
    width: 100%;
    height: 60%;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    transform-origin: top;
    transform: translateY(calc(2.5 * var(--length))) rotateX(30deg);
    background: linear-gradient(transparent 90%, #120330), #1a004d;
    transform-style: preserve-3d;
    border-top: 2px solid black;
}

.slot-machine-bottom .button-container button {
    --btn-bottom: 12.5%;
    position: relative;
    background-color: #222;
    cursor: pointer;
    width: 40%;
    height: 75%;
    font-size: calc(10 * var(--length));
    border: none;
    top: 0;
    border-radius: calc(7.5 * var(--length));
    border-radius: calc(2.5 * var(--length));
    width: 90%;
}

.slot-machine-bottom .button-container button:nth-child(1) {
    background: radial-gradient(circle at 35% 40%, #E91E63 5%, rgba(51, 51, 51, 0) 50%), radial-gradient(circle at 65% 40%, #E91E63 5%, rgba(51, 51, 51, 0) 50%), #a51a3b;
}

.slot-machine-bottom .button-container button:nth-child(2) {
    background: radial-gradient(circle at 35% 40%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), radial-gradient(circle at 65% 40%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), #950e29;
    display: none;
}

.slot-machine-bottom .button-container button::before {

    position: absolute;
    height: 100%;
    width: 100%;
    border-radius: inherit;
    left: 0;
    color: rgba(255, 255, 255, 0.9);
    text-shadow: 1px 1px 0 rgba(0, 0, 0, 0.5), 1px -1px 0 rgba(0, 0, 0, 0.5), -1px 1px 0 rgba(0, 0, 0, 0.5), -1px -1px 0 rgba(0, 0, 0, 0.5), 1px 0px 0 rgba(0, 0, 0, 0.5), 0px 1px 0 rgba(0, 0, 0, 0.5), -1px 0px 0 rgba(0, 0, 0, 0.5), 0px -1px 0 rgba(0, 0, 0, 0.5);
    display: grid;
    place-content: center;
}

.slot-machine-bottom .button-container button:nth-child(1)::before {
    content: "Jouez";
    font-family: "Lobster", sans-serif;
    font-family: sans-serif;
    bottom: var(--btn-bottom);
    left: calc(-0.5 * var(--length));
    background: radial-gradient(circle at 27.5%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), radial-gradient(circle at 72.5%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), green;
    background-color: #a51a3b;
}

.slot-machine-bottom .button-container button.pressed:nth-child(1)::before {
}

.slot-machine-bottom .button-container button:nth-child(2)::before {
    content: "STOP";
    bottom: var(--btn-bottom);
    left: calc(0.5 * var(--length));
    background: radial-gradient(circle at 27.5%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), radial-gradient(circle at 72.5%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), #db143c;
}

.slot-machine-bottom .slot-machine-footer {
    position: absolute;
    width: 100%;
    height: 150%;
    background: #120330;
    transform-origin: top;
    transform: translateY(100%) rotateX(-30deg);
    bottom: 0;
    z-index: 1;
}

.slot-machine-shadow {
    width: 110%;
    height: 30%;
    left: -5%;
    background-color: rgba(0, 0, 0, 0.7);
    position: absolute;
    bottom: -10%;
    filter: blur(7px);
    z-index: -1;
    border-radius: 100%;
}

.slot-machine-bottom .slot-machine-footer .casino-name {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 75%;
    height: 40%;
    width: 100%;
    height: 100%;
    display: grid;
    place-content: center;
    background-color: red;
    display: grid;
    place-content: center;
    color: #d3342e;
    font-size: calc(7.5 * var(--length));
    font-weight: bolder;
    letter-spacing: calc(0.75 * var(--length));
    background: radial-gradient(circle at 25%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), radial-gradient(circle at 75%, rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%), conic-gradient(#fbbb32 25deg, #fde168 25deg 60deg, #fbbb32 60deg 80deg, #fde168 80deg 95deg, #fbbb32 95deg 115deg, #fde168 115deg 140deg, #fbbb32 140deg 190deg, #fde168 190deg 225deg, #fbbb32 225deg 250deg, #fde168 250deg 265deg, #fbbb32 265deg 280deg, #fde168 280deg 295deg, #fbbb32 295deg 315deg, #fde168 315deg 340deg, #fbbb32 340deg);
    border-radius: var(--radius);
    background: #120330;
}

.casino-name img {
    width: 101px;
    width: 70%;
    margin-left: auto;
    margin-right: auto;
    height: auto;
}

.signature {
    position: absolute;
    left: 0;
    bottom: 0;
}

.link {
    position: absolute;
    z-index: 10;
    left: calc(5vmin - 1rem);
    bottom: calc(5vmin - 1rem);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

.link span {
    font-size: 2rem;
    font-family: arial, sans-serif;
    color: whitesmoke;
}

.link .my-name {
    position: relative;
}

.link .before,
.link .after {
    overflow: hidden;
    width: 0px;
    transition: width 0.5s;
    transform-origin: right;
}

.link .before-text {
    display: inline-block;
    width: auto;
    text-align: right;
}

.link .after-text {
    display: flex;
    align-items: center;
    width: auto;
    height: 3rem;
    transform-origin: top center;
}

.link:hover .before {
    width: 3.5rem;
}

.link:hover .after {
    width: 5rem;
}

.link:hover .spin {
    display: inline-block;
    transition: 0.5s transform 0.5s ease-in-out;
    transform: rotate(360deg);
}

.symbol svg {
    display: block;
    width: calc(15 * var(--length));

}

.container {
    z-index: 2;
}

.body_bg {
    position: fixed;
    inset: -500%;
    z-index: 1;
    opacity: 0;
    transition: opacity 250ms ease-out;
    animation: rotateBackground 20s linear infinite;
    pointer-events: none;
}

body {
    background: radial-gradient(circle at 25%,
    rgba(165, 26, 59, 0.75) 5%,
    rgba(51, 51, 51, 0) 50%),
    radial-gradient(circle at 75%, rgba(165, 26, 59, 0.75) 5%,
            rgba(51, 51, 51, 0) 50%),
    conic-gradient(#fbbb32 25deg, #fde168 25deg 60deg, #fbbb32 60deg 80deg,
            #fde168 80deg 95deg, #fbbb32 95deg 115deg,
            #fde168 115deg 140deg, #fbbb32 140deg 190deg,
            #fde168 190deg 225deg, #fbbb32 225deg 250deg,
            #fde168 250deg 265deg, #fbbb32 265deg 280deg,
            #fde168 280deg 295deg, #fbbb32 295deg 315deg,
            #fde168 315deg 340deg, #fbbb32 340deg);
    opacity: 1;
    background-image: url(bg_5.jpg);
    background-position: center center;
    background-size: 2100px;
}

.logo_bg {
    position: absolute;
    top: 20px;
    margin-left: auto;
    margin-right: auto;
    left: 0;
    right: 0;
    background-image: url(logo_bg.png);
    width: 370px;
    height: 223px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    z-index: 3;
}


body.win .body_bg {

    /*
     background: radial-gradient(circle at 25%, rgba(255, 255, 128, 0.75) 5%,
      rgba(51, 51, 51, 0) 50%), radial-gradient(circle at 75%,
        rgba(255, 255, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%),
      conic-gradient(#fbbb32 25deg, #ce951b 25deg 60deg, #fbbb32 60deg 80deg, #ce951b 80deg 95deg, #fbbb32 95deg 115deg, #ce951b 115deg 140deg, #fbbb32 140deg 190deg, #ce951b 190deg 225deg, #fbbb32 225deg 250deg, #ce951b 250deg 265deg, #fbbb32 265deg 280deg, #ce951b 280deg 295deg, #fbbb32 295deg 315deg, #ce951b 315deg 340deg, #fbbb32 340deg);
      opacity: 1;
      */
}

body.encour .body_bg {
    /*
     background:
        radial-gradient(circle at 25%, rgba(255, 128, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%),
        radial-gradient(circle at 75%, rgba(255, 128, 128, 0.75) 5%, rgba(51, 51, 51, 0) 50%),
        conic-gradient(#ff6f6f 25deg, #ff9999 25deg 60deg, #ff6f6f 60deg 80deg, #ff9999 80deg 95deg, #ff6f6f 95deg 115deg, #ff9999 115deg 140deg, #ff6f6f 140deg 190deg, #ff9999 190deg 225deg, #ff6f6f 225deg 250deg, #ff9999 250deg 265deg, #ff6f6f 265deg 280deg, #ff9999 280deg 295deg, #ff6f6f 295deg 315deg, #ff9999 315deg 340deg, #ff6f6f 340deg);
        opacity: 0.4;
      */
    background-image: url('bg_encour_b.png');
    opacity: 0.4;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center center;
    inset: -100%;

}

body.loose .body_bg {
    /*
      opacity: 1;
      background:
      radial-gradient(circle at 25%, rgba(192, 192, 192, 0.75) 5%, rgba(51, 51, 51, 0) 50%),
      radial-gradient(circle at 75%, rgba(192, 192, 192, 0.75) 5%, rgba(51, 51, 51, 0) 50%),
      conic-gradient(#808080 25deg, #a9a9a9 25deg 60deg, #808080 60deg 80deg, #a9a9a9 80deg 95deg, #808080 95deg 115deg, #a9a9a9 115deg 140deg, #808080 140deg 190deg, #a9a9a9 190deg 225deg, #808080 225deg 250deg, #a9a9a9 250deg 265deg, #808080 265deg 280deg, #a9a9a9 280deg 295deg, #808080 295deg 315deg, #a9a9a9 315deg 340deg, #808080 340deg);
  */
}

@keyframes rotateBackground {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(-360deg);
    }
}

.container {
    position: relative;
    w
}


.symbol img { /*  width: calc(18* var(--length));*/
    height: 35px; /* width: 143px; *//* object-fit: contain; */
  display: block;
  margin: auto;
}

.copy {
    position: absolute;
    bottom: 40px;
    left: 0;
    right: 0;
    margin: auto;
    text-align: center;
    z-index: 100;
    color: #fff;
    font-size: 12px;
    display: flex;
    align-items: center;
    justify-content: start;
    width: 160px;
    z-index: 1;
}

.copy img {
    width: 80px;
    margin-left: 5px;

}


span.rdv_chezn {
    font-size: 17px;
    display: block;
    padding-top: 20px;
    padding-bottom: 20px;
    border-top: 1px solid #000;
    border-bottom: 1px solid #000;
    display: block;
    margin-top: 20px;
}

span.rdv_chezn code {
    display: block;
    font-size: 35px;
    color: #a51a3b;
}

.result b {
    color: #7383a0;
    display: block;
    margin: 20px 0;
    font-weight: normal;
    font-family: "Abril Fatface", serif;
    font-weight: 400;
}

.result {
    overflow: auto;
    padding: 40px;
    color: #000;
    font-weight: normal;
    border-radius: 5px;
    z-index: 4;
    background-color: #fff;
    /*  background: linear-gradient(180deg, rgba(252,255,144,1) 0%, rgba(240,130,1,1) 100%);*/
}

.result form {
    display: flex;
    flex-direction: column;
    width: 280px;
    margin: auto;
}

.result form input {
    width: 100%;
    height: 37px;
    margin-bottom: 10px;
    border: none;
    border-bottom: 2px solid #7383a0;
    background: transparent;
}

.result form button {
    height: 37px;
    cursor: pointer;
    border: none;
    background-color: #7383a0;
    color: #fff;
    font-size: 20px;
    margin-bottom: 47px;
    border-radius: 2px;
}


from {
    background-position: 0, 0 0;
}

to {
    background-position: 0, 0 -1580px;
}

}
from {
    background-position: 0, 0 0;
}

to {
    background-position: 0, 0 -1580px;
}

}
from {
    background-position: 0, 0 0;
}

to {
    background-position: 0, 0 -1580px;
}

}
from {
    background-position: 0, 0 0;
}

to {
    background-position: 0, 0 -1580px;
}

}
@keyframes spin {
    from {
        background-position: 0, 0 0;
    }
    to {
        background-position: 0, 0 -1580px;
    }
}


.blublu img {
    filter: blur(2px);
}

.button {
    transform: scaleX(-1);
    position: relative;
    position: absolute;
    z-index: 100;
    /* width: 100%;*/
    height: 136px;
    top: 0;
    /*   top: -120px;*/
    right: 11px;
}

#equation {
    position: absolute;
    right: 100%;
    margin-right: -80px;
    /*  margin-right: -50px;*/
    top: 50%;
    margin-top: -80px;
}

#shoulder {
    position: absolute;
    top: 30px;
    right: 0;
    width: 80px;
    height: 100px;
    border-radius: 10px;
    /* background-color: #333; */
    /* background-image: -webkit-linear-gradient(#666 0%, #333 60%, #666 100%); */
    background-image: -moz-linear-gradient(#666 0%, #333 60%, #666 100%);
    background-image: -ms-linear-gradient(#666 0%, #333 60%, #666 100%);
    background-image: -o-linear-gradient(#666 0%, #333 60%, #666 100%);
    /* box-shadow: inset 2px 2px 2px rgba(255, 255, 255, 0.2); */
}

#arm {
    position: relative;
    top: 10px;
    left: 10px;
    cursor: pointer;
    width: 60px;
    height: 80px;
    border-radius: 10% / 50%;
    /* background-color: #666; */
    /* background-image: -webkit-linear-gradient(left, rgba(0, 0, 0, 0.3) 0%, transparent 15%, rgba(255, 255, 255, 0) 50%, transparent 85%, rgba(0, 0, 0, 0.3)), -webkit-linear-gradient(top, #333 0%, #666 10%, #999 30%, rgba(255, 255, 255, 0.8) 60%, #999 70%, #666 90%, #333 100%); */
    background-image: -moz-linear-gradient(left, rgba(0, 0, 0, 0.3) 0%, transparent 15%, rgba(255, 255, 255, 0) 50%, transparent 85%, rgba(0, 0, 0, 0.3)), -moz-linear-gradient(top, #333 0%, #666 10%, #999 30%, rgba(255, 255, 255, 0.8) 60%, #999 70%, #666 90%, #333 100%);
    background-image: -ms-linear-gradient(left, rgba(0, 0, 0, 0.3) 0%, transparent 15%, rgba(255, 255, 255, 0) 50%, transparent 85%, rgba(0, 0, 0, 0.3)), -ms-linear-gradient(top, #333 0%, #666 10%, #999 30%, rgba(255, 255, 255, 0.8) 60%, #999 70%, #666 90%, #333 100%);
    background-image: -o-linear-gradient(left, rgba(0, 0, 0, 0.3) 0%, transparent 15%, rgba(255, 255, 255, 0) 50%, transparent 85%, rgba(0, 0, 0, 0.3)), -o-linear-gradient(top, #333 0%, #666 10%, #999 30%, rgba(255, 255, 255, 0.8) 60%, #999 70%, #666 90%, #333 100%);
}

#arm:before {
    content: '';
    position: absolute;
    top: -40px;
    left: 16px;
    width: 16px;
    height: 70px;
    border-radius: 8px;
    box-shadow: 0px 2px 0px #9e4e3d;
    background-color: #999;
    -webkit-transform: rotate(-10deg);
    -moz-transform: rotate(-10deg);
    transform: rotate(-10deg);
    background-image: -webkit-linear-gradient(left, #666 0%, rgba(255, 255, 255, 0.7) 50%, #666 100%);
    background-image: -moz-linear-gradient(left, #666 0%, rgba(255, 255, 255, 0.7) 50%, #666 100%);
    background-image: -ms-linear-gradient(left, #666 0%, rgba(255, 255, 255, 0.7) 50%, #666 100%);
    background-image: -o-linear-gradient(left, #666 0%, rgba(255, 255, 255, 0.7) 50%, #666 100%);
    background-image: linear-gradient(to right, #e7ac42 0%, rgb(223 172 89) 50%, #fee7a0 100%);
    -webkit-transition: all 0.5s ease-in-out 0s;
    -moz-transition: all 0.5s ease-in-out 0s;
    -o-transition: all 0.5s ease-in-out 0s;
    -ms-transition: all 0.5s ease-in-out 0s;
    transition: all 0.5s ease-in-out 0s;
}

#arm:after {
    content: '';
    position: absolute;
    top: -70px;
    left: -4px;
    width: 40px;
    height: 40px;
    border-radius: 100%;
    background-color: #f6bf4e;
    border: 2px solid #87470a;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    background-image: -webkit-radial-gradient(50% 40%, closest-corner, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
    background-image: -moz-radial-gradient(50% 40%, closest-corner, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
    background-image: -ms-radial-gradient(50% 40%, closest-corner, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
    background-image: -o-radial-gradient(50% 40%, closest-corner, rgba(255, 255, 255, 0.5), rgba(255, 255, 255, 0));
    -webkit-transition: all 0.5s ease-in-out 0s;
    -moz-transition: all 0.5s ease-in-out 0s;
    -o-transition: all 0.5s ease-in-out 0s;
    -ms-transition: all 0.5s ease-in-out 0s;
    transition: all 0.5s ease-in-out 0s;
}

#arm.clicked:before {
    top: -20px;
    left: 20px;
    -webkit-transform: rotate3d(100, 10, 0, 180deg);
    -moz-transform: rotate3d(100, 10, 0, 180deg);
    transform: rotate3d(100, 10, 0, 180deg);
    -webkit-transform-origin: 0% 100%;
    -moz-transform-origin: 0% 100%;
    transform-origin: 0% 100%;
    -webkit-transition: all 0.5s ease-in-out 0s;
    -moz-transition: all 0.5s ease-in-out 0s;
    -o-transition: all 0.5s ease-in-out 0s;
    -ms-transition: all 0.5s ease-in-out 0s;
    transition: all 0.5s ease-in-out 0s;
}

#arm.clicked:after {
    top: 90px;
    -webkit-transition: all 0.5s ease-in-out 0s;
    -moz-transition: all 0.5s ease-in-out 0s;
    -o-transition: all 0.5s ease-in-out 0s;
    -ms-transition: all 0.5s ease-in-out 0s;
    transition: all 0.5s ease-in-out 0s;
}


div#arm {
    /* display: none; */
}

.machine-title {
    display: none;
}

button#spinBtn {
    display: none;
}

button.stop-btn {
    display: none;
}

/*
.symbol_ov {
  height: 30px;
  width: 59px;
  overflow: hidden;
  position: absolute;
  inset: 0;
  border-radius: 10px;
  margin-left: auto;
  margin-right: auto;
  background:
  linear-gradient(
    rgb(255 255 255 / 63%),
    rgba(255, 255, 255, 0.15) 33%,
    rgba(255, 255, 255, 0.15) 66%,
    rgba(255, 255, 255, 0.4));
}

*/

.symbol_ov {
    height: 10px;
    width: 59px;
    overflow: hidden;
    position: absolute;
    inset: 0;
    top: 7px;
    border-radius: 10px;
    margin-left: auto;
    margin-right: auto;
    background: linear-gradient(
            rgb(250 219 155),
            rgb(255 252 248) 33%,
            rgb(252 245 151) 66%,
            rgb(249 208 117));
    filter: blur(5px);
    /* opacity: 0.4; */
    display: none;
}

.encourderoue .symbol_ov {
    display: none;
}


.no_game .container {
    pointer-events: none;
}


.aboInsta_modal {
    position: fixed;
    display: flex;
    align-items: center;
    justify-content: center;
    inset: 0;
    z-index: 10000;
    backdrop-filter: blur(10px);
    /*  background-color: rgba(0, 0, 0, 0.3);*/
    transition: all 250ms ease-out;
    /*display: none;*/
}

.aboInsta_modal:after {
    content: '';
    display: block;
    inset: 0;
    position: fixed;
    z-index: 1;
    /*  background-image: url(15.jpg);*/
    background-size: cover;

    background-position: center right;
    opacity: 0.3;

}

.aboInsta_modal.follow_ok {
    pointer-events: none;
    backdrop-filter: blur(0px);
    background-color: transparent;
}


.aboInsta_modal_box {
    /* background: linear-gradient(180deg, rgba(252, 255, 144, 1) 0%, rgba(240, 130, 1, 1) 100%);*/
    /*  background: linear-gradient(180deg, rgba(252, 255, 144, 1) 0%, rgba(240, 130, 1, 1) 100%);*/
    background-position: center center;
    background-size: 120% 120%;
    border-radius: 5px;
    /* background-image: url(bg_jpg.jpg);*/
    background-size: 100% 100%;
    width: 350px;
    /* color: #fff;*/
    transition: all 250ms ease-out;
    position: relative;
    z-index: 3;
    background-color: #fff;
    /*   border: 2px solid #7383a0;*/
}

.aboInsta_modal.follow_ok .aboInsta_modal_box {
    /*    transform: scale(0);*/
    filter: blur(500px);
    opacity: 0;
}


.aboInsta_modal_header {
    font-weight: 600;
    font-size: 20px;
    margin-bottom: 20px;
    padding: 0 20px;
    font-family: "Abril Fatface", serif;
    font-weight: 400;

}

.aboInsta_modal_middle {
    margin-bottom: 20px;
    padding: 0 20px;
    font-family: "Roboto", sans-serif;
    font-weight: 400;
    color: rgb(38, 38, 38);
}

.no_game .container {
    pointer-events: none;
}

/* Styles de base pour le bouton */
.instagram-button {
    display: inline-block;
    background: linear-gradient(45deg, #405de6, #5851db, #833ab4, #c13584, #e1306c, #fd1d1d, #f56040, #f77737, #fcaf45, #ffdc80); /* Dégradé Instagram */
    color: #ffffff; /* Couleur du texte */
    font-family: Arial, sans-serif; /* Police */
    font-size: 16px; /* Taille de la police */
    padding: 10px 20px; /* Espacement intérieur */
    border-radius: 0; /* Bord arrondi */
    text-decoration: none; /* Supprime les soulignements */
    border: none; /* Supprime la bordure */
    cursor: pointer; /* Curseur pointeur */
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.3); /* Ombre 3D */
    transition: transform 0.3s ease, box-shadow 0.3s ease; /* Transition fluide */
    width: 100%;
    text-align: center;
}

/* Effet au survol */
.instagram-button:hover {
    transform: translateY(-3px); /* Effet 3D */
    box-shadow: 0px 8px 20px rgba(0, 0, 0, 0.5); /* Ombre 3D plus prononcée */
}


.aboInsta_modal_header span {
    display: flex;
    width: 120px;
    height: 120px;
    object-fit: contain;
    align-items: center;
    justify-content: center;
    /*  border-top: 5px solid #fdc42f;*/
    /*  border-bottom: 5px solid #fdc42f;*/
    border: 2px solid #7383a0;
    border-radius: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 5px;
    margin-bottom: 20px;
    background-color: #fff;
    position: relative;
    top: -60px;
    margin-bottom: -50px;
    background-color: #fff;
}

.aboInsta_modal_header span:after {
    content: '';
    display: block;
    position: absolute;
    inset: 6px;
    border: 1px dashed #7383a0;
    border-radius: 100%;
}


.aboInsta_modal_header img {
    width: 100%;
}


.aboInsta_modal_footer {
    /*  background-color: #fff;*/
    /*   padding: 20px;*/
    margin-bottom: 20px;
}

.aboInsta_modal_footer img {
    width: 160px;
    margin-left: auto;
    margin-right: auto;
    display: block;
}


.aboInsta_modal_middle span {
    display: inline-flex;
    height: 30px;
    width: 30px;
    font-weight: bold;
    /*   background-image: url(bg_insta.jpeg);*/
    background-color: #7383a0;
    background-position: center center;
    background-size: 120% 120%;
    border-radius: 100%;
    align-items: center;
    justify-content: center;
    margin-right: 3px;
    color: #fff;
    margin-bottom: 5px;
}

.aboInsta_modal_middle div:nth-child(3) span {
    /*  background-color: #fdc42f;*/
    /*  color:#000*/
}

.aboInsta_modal_middle div:nth-child(4) span {
    /*  background-color: #ffef00;*/
    /*  color:#000*/
}


.simple {
    margin-bottom: 10px;
}

.aboInsta_modal_footer {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 40px;
    text-align: center;
}

.aboInsta_modal_footer img {
    width: 75px;
    margin-bottom: 10px;
}

.aboInsta_modal_footer a {
    display: block;
    text-align: center;
    color: inherit;
    text-decoration: none;
    font-size: 80%;

}